Bug 176121 - Rebuilding kdegraphics source RPM fails on ppc
Rebuilding kdegraphics source RPM fails on ppc
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdegraphics (Show other bugs)
4.0
powerpc Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 11:48 EST by Radek Bíba
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 11:52:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2005-12-19 11:48:39 EST
Description of problem:
It's not possible to rebuild kdegraphics src.rpm on ppc, even with --target=ppc

Version-Release number of selected component (if applicable):
kdegraphics-3.3.1-3.4

How reproducible:
Always

Steps to Reproduce:
1. 'grab' kdegraphics-3.3.1-3.4.src.rpm
2. rpmbuild it (--target=ppc)
  
Actual results:
~~~~cut here~~~~
(...)
/bin/sh ../../libtool --silent --mode=link --tag=CXX g++  -Wnon-virtual-dtor
-Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align
-Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -O2 -O2
-g -pipe -m32 -fsigned-char -fno-use-cxa-atexit -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common
-DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT
-DQT_NO_TRANSLATION    -o kcm_kamera.la -rpath /usr/lib64/kde3 -L/usr/X11R6/lib
-L/usr/lib/qt-3.3/lib -L/usr/lib64  -module -avoid-version -module -no-undefined
-Wl,--no-undefined -Wl,--allow-shlib-undefined   kamera.lo kameradevice.lo
kameraconfigdialog.lo -lkio -L/usr/lib -lgphoto2 -lm
grep: /usr/lib64/libfam.la: No such file or directory
/bin/sed: can't read /usr/lib64/libfam.la: No such file or directory
libtool: link: `/usr/lib64/libfam.la' is not a valid libtool archive
make[3]: *** [kcm_kamera.la] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/kdegraphics-3.3.1/kamera/kcontrol'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/kdegraphics-3.3.1/kamera'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/kdegraphics-3.3.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.97246 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.97246 (%build)

~~~~cut here~~~~

Expected results:
Success

Additional info:
Feel free to reassign this issue to another component if you think kdegraphics
isn't to blame.
Comment 1 Ngo Than 2005-12-20 09:57:31 EST
Radek, could you please tell me on wich machine i can reproduce this problem?
thanks
Comment 2 Radek Bíba 2005-12-20 10:08:30 EST
On any PPC machine with RHEL-4. Success on such machine would mean that our
testing machine wasn't configured properly or it wasn't clean due to long-term
playing with packages and settings. If you don't have a PPC system handy I can do
any tests for you.
Comment 4 Ngo Than 2005-12-20 10:27:19 EST
the rebuild output looks strange! the gamin-devel is not installed on your build
machine! could you please check why the libfam.la is not installed on this
machine? does it fix this problem if you install gamin-devel package?


Could you please attach the output of this commmandline
rpm -qa --qf "%{NAME}-%{VERSION}-%{RELEASE}-%{ARCH}\n"
Comment 5 Radek Bíba 2005-12-20 10:42:43 EST
gamin-devel _is_ installed on the machine - gamin-devel-0.1.1-3.EL4.ppc - and
contains /usr/lib/libfam.la (while the build process searches for this file in
/usr/lib64), it's an Everything-instal machine; rpm -qa thus isn't needed afaict.

(BTW, there's no gamin-devel-*.ppc64 available)
Comment 6 Radek Bíba 2006-01-06 11:52:39 EST
Okay, I've found a way how to rebuild the package. Appropriate command is:
setarch ppc rpmbuild OPTIONS FILE

Note You need to log in before you can comment on or make changes to this bug.